NuSphere Forums Forum Index
NuSphere Forums
Reply to topic


Joined: 03 Jun 2011
Posts: 9
Reply with quote
It turns out we were both wrong. After downloading php again and reinstalling it to a different location (it's c:/php now, used to be c:/programme/php) it all works just fine.
I did some tests on a local machine at home and i must say apache vc6 seems to hate loading the vc9 php module (at least on my machine it does). i used apache 2.2.19 vc6 from apache.org and the php 5.3.6 vc9 ts from php.net for my testbench. php will be loaded but apache moans when loading extensions like mbstring or mysqli (and all the others as well, to name only a few).
You might as well consider a programmer in need for an extension like phpexpress might be technically able to install apache vc9, php vc9 and phpexpress vc9 when the mission clearly says vc9. and further more, such a programmer might as well be capable of finding out which version has been installed.

it's okay to double check but asking the same question four times and giving a wrong answer in between on the zend_extension line issue?
you may want to think about the way you support. just remember you are the one trying to sell a product here not me Wink
View user's profileFind all posts by vfescSend private message
Site Admin

Joined: 13 Jul 2003
Posts: 7835
Reply with quote
Quote:
php will be loaded but apache moans when loading extensions like mbstring

... and like phpexpress.
Right, and this is what some other customers experienced, hence the questsions.
As of VC9, you'd admit that the distro you used is not widely known, their site is full of advertizements and for example I'd personally scare to load anything from them.
Okay, that's finally clear they do VC9 Apache... Not bad, but not good either. Did you try NuSphere TechPlatform? It comes with VC9 Apache, VC9 PHP and this same phpexpress module works fine. Any thought, any explanation?

My idea is that WinSxS is still broken like it was broken in the beginning when it was offered as a soultion to DLL Hell problem. The chineese guy who works for MS and wrote all this stuff didn't make a good thing for developers. It's hard to debug problems why in some cases an SxS module works and fails all of sudden in another. Diagnostic messages are pretty unclear and almost always misleading, like in your case. What's the heck -- the module is here and after all why it wouldn't be found?
If I'm right, a solution would be to add manifest - a file with <dllname>.manifest name and certain content (below) which you may want to create in the same directory:
Code:
<?xml version='1.0' encoding='UTF-8' standalone='yes'?>
<assembly xmlns='urn:schemas-microsoft-com:asm.v1' manifestVersion='1.0'>
  <trustInfo xmlns="urn:schemas-microsoft-com:asm.v3">
    <security>
      <requestedPrivileges>
        <requestedExecutionLevel level='asInvoker' uiAccess='false' />
      </requestedPrivileges>
    </security>
  </trustInfo>
  <dependency>
    <dependentAssembly>
      <assemblyIdentity type='win32' name='Microsoft.VC90.CRT' version='9.0.21022.8' processorArchitecture='x86' publicKeyToken='1fc8b3b9a1e18e3b' />
    </dependentAssembly>
  </dependency>
</assembly>

_________________
The PHP IDE team
View user's profileFind all posts by dmitriSend private messageVisit poster's website


Joined: 03 Jun 2011
Posts: 9
Reply with quote
That may be right, but i have no idea how well known apachelounge.com really is.
I haven't tried NuSphere TechPlatform because we have a few other programms runnig which require specific versions of for example mysql. I have made the experience that downgrading an installed mysql server within a server environment can lead to shiploads of problems and therefore is not an option here, sorry.
But what i really meant with 'php will be loaded but apache moans when loading extensions like mbstring' is that not a single extension is loaded successfully when using apache vc6 and php vc9 on my testbench. This is a completely different behaviour as the one I described in my first post where only the phpexpress failed to load.

I don't know much about the WinSxS and cannot say anything about that matter.
But my best idea is that the php installer I used was corupted the first time. That would explain why it worked when I downloaded again to reinstall php. But i will keep the manifest in mind in case it will be needed later, thanks.

cheers
View user's profileFind all posts by vfescSend private message
Site Admin

Joined: 13 Jul 2003
Posts: 7835
Reply with quote
vfesc wrote:
This is a completely different behaviour as the one I described in my first post


What sort of difference is there? I don't see any, at least not from your post and from the reports of the other customers.
As I see it in both cases you tried to load a php extension and in both cases you got an error, or what you meant under "apache moans"? Didn't it moan when you tried to laod phpexpress? or it moaned differently? But you didn't specify the difference.

_________________
The PHP IDE team
View user's profileFind all posts by dmitriSend private messageVisit poster's website


Joined: 03 Jun 2011
Posts: 9
Reply with quote
The difference is pretty obvious actually: my firstpost lists all the loaded extensions and only phpexpress is not loaded. What i wrote in my last post says 'not a single extension is loaded successfully' which means, there is no loaded extension ...
View user's profileFind all posts by vfescSend private message
Guru master

Joined: 24 Jul 2009
Posts: 704
Reply with quote
I use NuSphere TechPlatform. Never had an issue with it Smile

I seem to remember TechPlatform does not include MySQL, just the Apache, Perl and PHP? So I installed my choice of MySQL, made sure I copied the libmysql.dll to the correct place and all is good.

TechPlatform also includes all the common Apache mod's and PHP extensions (including soap), which is very convenient.
View user's profileFind all posts by plugnplaySend private message
Failing to load phpexpress-php-5.3.dll
You cannot post new topics in this forum
You cannot reply to topics in this forum
You cannot edit your posts in this forum
You cannot delete your posts in this forum
You cannot vote in polls in this forum
All times are GMT - 5 Hours  
Page 2 of 2  

  
  
 Reply to topic